Page MenuHomePhabricator

gerrit yields Error 400 (Bad Request): Error in operator parentproject:integration
Closed, ResolvedPublic

Description

Release engineering has a Gerrit dashboard on releng.git accessible via https://gerrit.wikimedia.org/r/p/releng/+/dashboard/main:default

The API query recently started to throw an error:

An error occurred

Error 400 (Bad Request): Error in operator parentproject:integration

Endpoint: /changes/

To reproduce

Browse https://gerrit.wikimedia.org/r/q/parentproject:integration

Run a query: ssh -p 29418 gerrit.wikimedia.org gerrit query parentproject:integration

type: error
message: Error in operator parentproject:integration

The dashboard is in releng.git under reference refs/meta/dashboards/main:

default
[dashboard]
    title = Release Engineering Dashboard
    description = Custom dashboard for the Release Engineering Team

[section "Assigned to me"]
    query = is:open assignee:self -is:wip -label:Verified<0 limit:10

[section "My merge conflicts"]
    query = is:open owner:self NOT is:mergeable limit:3

[section "Our patches awaiting review"]
    # TODO: Figure out how to exclude labels from a group with labels;
    # e.g., "Release Engineering"
    query = is:open ownerin:\"Release Engineering\" -owner:self -assignee:self -is:wip -is:ignored -label:Verified<0 -label:Code-Review<0 limit:10

[section "Incoming patches for our repositories"]
    # These are patches to our repos that:
    # - pass test
    # - are not wip
    # - we're not the owner
    query = is:open (parentproject:integration OR parentproject:releng OR parentproject:blubber-doc OR project:integration/pipelinelib OR project:blubber OR project:mediawiki/tools/release OR project:mediawiki/tools/scap) limit:10  -label:Verified<0 -is:wip -is:ignored -ownerin:\"Release Engineering\"

[section "My patches awaiting review"]
    query = is:open owner:self -is:wip -label:Verified<0 -label:Code-Review<0 limit:10

[section "My stalled patches"]
    query = is:open owner:self (is:wip OR label:Verified<0 OR label:Code-Review<0) limit:10

[section "Recently merged patches"]
    query = is:merged ownerin:\"Release Engineering\" limit:10

It has not changed recently.

The whole request for the section Incoming patches for our repositories is:

http://gerrit.wikimedia.org/r/changes/?O=881&S=0&q=is%3Aopen%20assignee%3Aself%20-is%3Awip%20-label%3AVerified%3C0%20limit%3A10&q=is%3Aopen%20owner%3Aself%20NOT%20is%3Amergeable%20limit%3A3&q=is%3Aopen%20ownerin%3A%22Release%20Engineering%22%20-owner%3Aself%20-assignee%3Aself%20-is%3Awip%20-is%3Aignored%20-label%3AVerified%3C0%20-label%3ACode-Review%3C0%20limit%3A10&q=is%3Aopen%20(parentproject%3Aintegration%20OR%20parentproject%3Areleng%20OR%20parentproject%3Ablubber-doc%20OR%20project%3Aintegration%2Fpipelinelib%20OR%20project%3Ablubber%20OR%20project%3Amediawiki%2Ftools%2Frelease%20OR%20project%3Amediawiki%2Ftools%2Fscap)%20limit%3A10%20%20-label%3AVerified%3C0%20-is%3Awip%20-is%3Aignored%20-ownerin%3A%22Release%20Engineering%22&q=is%3Aopen%20owner%3Aself%20-is%3Awip%20-label%3AVerified%3C0%20-label%3ACode-Review%3C0%20limit%3A10&q=is%3Aopen%20owner%3Aself%20(is%3Awip%20OR%20label%3AVerified%3C0%20OR%20label%3ACode-Review%3C0)%20limit%3A10&q=is%3Amerged%20ownerin%3A%22Release%20Engineering%22%20limit%3A10

Looking at Apache logs, the query worked 2020-09-22T09:06:28, the next one made failed with a 400 at 2020-09-23T18:30:53.

The queries received by Apache are the exact same ones.

Event Timeline

hashar created this task.Sep 23 2020, 6:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2020, 6:57 PM
hashar updated the task description. (Show Details)Sep 23 2020, 6:58 PM

Mentioned in SAL (#wikimedia-releng) [2020-09-23T19:11:36Z] <hashar> gerrit: flushing "project_list" cache after deletion of " mediawiki/extensions/WikiLambda": gerrit flush-caches --cache project_list # T263682 T257775

hashar closed this task as Resolved.Sep 23 2020, 7:13 PM
hashar claimed this task.

I deleted a repository on disk (for T257775) which seemed to work fine but Gerrit internal caches were not invalidated as a result.

Solved it by flushing the project_list cache.

I deleted a repository on disk (for T257775) which seemed to work fine but Gerrit internal caches were not invalidated as a result.

Solved it by flushing the project_list cache.

For future me, when I stumble on this task:

ssh -p 29418 gerrit.wikimedia.org -- gerrit flush-caches --cache project_list